$1    PROCEDURE [dbo].[SATIR_IPTAL]
@aktif_kullanici varchar(25)='',
@magaza_no_liste StringList READONLY,
@baslangic_tarih dateTime,
@bitis_tarih datetime
AS
SELECT
	evr_belge_no_seri as EvrakSeri,
	evr_belge_no_sira as EvrakSira,
	dbo.fn_EvrakIsmi(evr_belge_tur) as EvrakTip,
	(select TOP 1 mgz_isim FROM MAGAZA_TANIMLARI WITH(NOLOCK) WHERE mgz_kod=evr_magaza_kod) as Magaza,
	(SELECT  TOP 1 ksa_isim FROM KASA_TANIMLARI WITH(NOLOCK) WHERE ksa_no=evr_kasa_no and ksa_magaza_no=evr_magaza_kod) as Kasa,
	ISNULL((SELECT TOP 1 kln_isim FROM KULLANICILAR WITH(NOLOCK) WHERE kln_no=evr_kasiyer_no),'') as Kasiyer,
	sto_kod as StokKod,
	sto_isim as StokIsim,
	har_miktar as Miktar,
	ROUND(har_yekun,2) as Yekun,
		evr_belge_iptal_aciklama as Açıklama
FROM EVRAK_UST_BILGI WITH(NOLOCK)
LEFT OUTER JOIN EVRAK_HAREKET_BILGI WITH(NOLOCK) ON evr_RECno=har_evrak_rec_id 
LEFT OUTER JOIN STOKLAR WITH(NOLOCK) ON sto_kod=har_stok_kodu
WHERE har_satir_tip in (1) and 
	(((select COUNT(Item) from @magaza_no_liste)>0 AND evr_magaza_kod IN (select Item from @magaza_no_liste)) OR (select Count(Item) from @magaza_no_liste)<=0) AND  
	CONVERT(DATE,@baslangic_tarih)<=CONVERT(DATE,evr_evrak_tarih) and CONVERT(DATE,evr_evrak_tarih)<=CONVERT(DATE,@bitis_tarih)
	AND evr_belge_tur in (1,2,3) 
	AND (evr_magaza_kod=dbo.fn_AktifKullaniciMagazaGetir(@aktif_kullanici) OR @aktif_kullanici=0)